## MmGdbusModem3gppProfileManager

MmGdbusModem3gppProfileManager — Generated C code for the org.freedesktop.ModemManager1.Modem.Modem3gpp.ProfileManager D-Bus interface

## Functions

gchar * | mm_gdbus_modem3gpp_profile_manager_dup_index_field ()
const gchar * | mm_gdbus_modem3gpp_profile_manager_get_index_field ()
void | mm_gdbus_modem3gpp_profile_manager_call_delete ()
gboolean | mm_gdbus_modem3gpp_profile_manager_call_delete_finish ()
gboolean | mm_gdbus_modem3gpp_profile_manager_call_delete_sync ()
void | mm_gdbus_modem3gpp_profile_manager_call_list ()
gboolean | mm_gdbus_modem3gpp_profile_manager_call_list_finish ()
gboolean | mm_gdbus_modem3gpp_profile_manager_call_list_sync ()
void | mm_gdbus_modem3gpp_profile_manager_call_set ()
gboolean | mm_gdbus_modem3gpp_profile_manager_call_set_finish ()
gboolean | mm_gdbus_modem3gpp_profile_manager_call_set_sync ()

## Properties

char * | index-field | Read / Write

## Signals

gboolean | handle-delete | Run Last
gboolean | handle-list | Run Last
gboolean | handle-set | Run Last
void | updated | Run Last

## Types and Values

| MmGdbusModem3gppProfileManager
struct | MmGdbusModem3gppProfileManagerIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusModem3gppProfileManager

## Prerequisites

MmGdbusModem3gppProfileManager requires GObject.

## Known Implementations

MmGdbusModem3gppProfileManager is implemented by MMModem3gppProfileManager, MmGdbusModem3gppProfileManagerProxy and MmGdbusModem3gppProfileManagerSkeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1.Modem.Modem3gpp.ProfileManager D-Bus interface in C.

## Functions

### mm_gdbus_modem3gpp_profile_manager_dup_index_field ()

    gchar *
    mm_gdbus_modem3gpp_profile_manager_dup_index_field
                                   (MmGdbusModem3gppProfileManager *object);

Gets a copy of the "IndexField" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gppProfileManager. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_profile_manager_get_index_field ()

    const gchar *
    mm_gdbus_modem3gpp_profile_manager_get_index_field
                                   (MmGdbusModem3gppProfileManager *object);

Gets the value of the "IndexField" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_profile_manager_dup_index_field()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gppProfileManager. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_profile_manager_call_delete ()

    void
    mm_gdbus_modem3gpp_profile_manager_call_delete
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Delete()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_profile_manager_call_delete_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_profile_manager_call_delete_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_profile_manager_call_delete_finish ()

    gboolean
    mm_gdbus_modem3gpp_profile_manager_call_delete_finish
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_profile_manager_call_delete()`.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_profile_manager_call_delete()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_profile_manager_call_delete_sync ()

    gboolean
    mm_gdbus_modem3gpp_profile_manager_call_delete_sync
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Delete()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_profile_manager_call_delete()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_profile_manager_call_list ()

    void
    mm_gdbus_modem3gpp_profile_manager_call_list
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `List()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_profile_manager_call_list_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_profile_manager_call_list_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_profile_manager_call_list_finish ()

    gboolean
    mm_gdbus_modem3gpp_profile_manager_call_list_finish
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GVariant **out_profiles,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_profile_manager_call_list()`.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
out_profiles | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_profile_manager_call_list()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_profile_manager_call_list_sync ()

    gboolean
    mm_gdbus_modem3gpp_profile_manager_call_list_sync
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GVariant **out_profiles,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `List()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_profile_manager_call_list()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
out_profiles | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_profile_manager_call_set ()

    void
    mm_gdbus_modem3gpp_profile_manager_call_set
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GVariant *arg_requested_properties,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `Set()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_profile_manager_call_set_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_profile_manager_call_set_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
arg_requested_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_profile_manager_call_set_finish ()

    gboolean
    mm_gdbus_modem3gpp_profile_manager_call_set_finish
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GVariant **out_stored_properties,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_profile_manager_call_set()`.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
out_stored_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_profile_manager_call_set()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_profile_manager_call_set_sync ()

    gboolean
    mm_gdbus_modem3gpp_profile_manager_call_set_sync
                                   (MmGdbusModem3gppProfileManager *proxy,
                                    GVariant *arg_requested_properties,
                                    GVariant **out_stored_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `Set()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_profile_manager_call_set()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProfileManagerProxy. |
arg_requested_properties | Argument to pass with the method invocation. |
out_stored_properties | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusModem3gppProfileManager

    typedef struct _MmGdbusModem3gppProfileManager MmGdbusModem3gppProfileManager;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.ProfileManager.

### struct MmGdbusModem3gppProfileManagerIface

    struct MmGdbusModem3gppProfileManagerIface {
      GTypeInterface parent_iface;

      gboolean (*handle_delete) (
        MmGdbusModem3gppProfileManager *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_properties);

      gboolean (*handle_list) (
        MmGdbusModem3gppProfileManager *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_set) (
        MmGdbusModem3gppProfileManager *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_requested_properties);

      const gchar * (*get_index_field) (MmGdbusModem3gppProfileManager *object);

      void (*updated) (
        MmGdbusModem3gppProfileManager *object);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.ProfileManager.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_delete` () | Handler for the “handle-delete” signal. |
`handle_list` () | Handler for the “handle-list” signal. |
`handle_set` () | Handler for the “handle-set” signal. |
`get_index_field` () | Getter for the “index-field” property. |
`updated` () | Handler for the “updated” signal. |

## Property Details

### The `“index-field”` property

      “index-field”              char *

Represents the D-Bus property "IndexField".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gppProfileManager

Flags: Read / Write

Default value: NULL

## Signal Details

### The `“handle-delete”` signal

    gboolean
    user_function (MmGdbusModem3gppProfileManager *object,
                   GDBusMethodInvocation          *invocation,
                   GVariant                       *arg_properties,
                   gpointer                        user_data)

Signal emitted when a remote caller is invoking the `Delete()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_profile_manager_complete_delete()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gppProfileManager. |
invocation | A GDBusMethodInvocation. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-list”` signal

    gboolean
    user_function (MmGdbusModem3gppProfileManager *object,
                   GDBusMethodInvocation          *invocation,
                   gpointer                        user_data)

Signal emitted when a remote caller is invoking the `List()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_profile_manager_complete_list()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gppProfileManager. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set”` signal

    gboolean
    user_function (MmGdbusModem3gppProfileManager *object,
                   GDBusMethodInvocation          *invocation,
                   GVariant                       *arg_requested_properties,
                   gpointer                        user_data)

Signal emitted when a remote caller is invoking the `Set()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_profile_manager_complete_set()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gppProfileManager. |
invocation | A GDBusMethodInvocation. |
arg_requested_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“updated”` signal

    void
    user_function (MmGdbusModem3gppProfileManager *object,
                   gpointer                        user_data)

On the client-side, this signal is emitted whenever the D-Bus signal "Updated" is received.

On the service-side, this signal can be used with e.g. `g_signal_emit_by_name()` to make the object emit the D-Bus signal.

#### Parameters

object | A MmGdbusModem3gppProfileManager. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last